Package com.smartgwt.client.tools

# Class ReifyDSSettings

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.ReifyDSSettings

All Implemented Interfaces:
  `HasHandlers`

public class ReifyDSSettings extends DataClass
Optional settings object passed to `Reify.getProjectsDS()`, `Reify.getScreensDS()`, and `Reify.getDataSourcesDS()`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReifyDSSettings()`
  `ReifyDSSettings(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReifyDSSettings`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getReifyURL()`
  URL prefix of the remote Reify server's `isomorphic` dir, e.g.
  `ReifyDSSettings`
  `setReifyURL(String reifyURL)`
  URL prefix of the remote Reify server's `isomorphic` dir, e.g.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReifyDSSettings

    public ReifyDSSettings()

  - ### ReifyDSSettings

    public ReifyDSSettings(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ReifyDSSettings getOrCreateRef(JavaScriptObject jsObj)

  - ### setReifyURL

    public ReifyDSSettings setReifyURL(String reifyURL)
    URL prefix of the remote Reify server's `isomorphic` dir, e.g. `"https://reify.example.com/isomorphic/"`. When set, overrides `defaultReifyURL` for this call only. When null (and no default is set), the local server is used.
    Parameters:
      `reifyURL` - New reifyURL value. Default value is null
    Returns:
      `ReifyDSSettings` instance, for chaining setter calls
    See Also:
      - `URL`

  - ### getReifyURL

    public String getReifyURL()
    URL prefix of the remote Reify server's `isomorphic` dir, e.g. `"https://reify.example.com/isomorphic/"`. When set, overrides `defaultReifyURL` for this call only. When null (and no default is set), the local server is used.
    Returns:
      Current reifyURL value. Default value is null
    See Also:
      - `URL`